## GstGLContextEGL GstGLContextEGL |

## Functions

GstGLContextEGL * | gst_gl_context_egl_new ()

## Types and Values

struct | GstGLContextEGL

## Description

## Functions

### gst_gl_context_egl_new ()

    GstGLContextEGL *
    gst_gl_context_egl_new (void);

## Types and Values

### struct GstGLContextEGL

    struct GstGLContextEGL {
      GstGLContext context;

      EGLContext egl_context;
      EGLDisplay egl_display;
      EGLSurface egl_surface;
      EGLConfig  egl_config;

      GstGLAPI gl_api;

      EGLImageKHR (*eglCreateImage) (EGLDisplay dpy, EGLContext ctx, EGLenum target,
          EGLClientBuffer buffer, const EGLint *attrib_list);
      EGLBoolean (*eglDestroyImage) (EGLDisplay dpy, EGLImageKHR image);
    };